tut-main.cpp File Reference
`#include <wibble/tests/tut-wibble.h>`
`#include <signal.h>`
`#include <cstdlib>`
`#include <cstring>`
Include dependency graph for tut-main.cpp:

## Namespaces

| tut
| Template Unit Tests Framework for C++.

## Functions

void | signal_to_exception (int)
int | main (int argc, const char *argv[])

## Variables

test_runner_singleton | tut::runner

## Function Documentation

int main | ( | int | argc,
|  | const char * | argv[]
| ) |  |

References tut::test_runner_singleton::get(), tut::test_runner::list_groups(), tut::test_runner::run_test(), tut::test_runner::run_tests(), tut::runner, tut::test_runner::set_callback(), and signal_to_exception().

void signal_to_exception | ( | int |  | ) |

Referenced by main().